---
title: Contributing to Zen Browser
draft: false
lastmod: 2025-02-07
---

Thank you for considering contributing to Zen Browser! We appreciate your time and effort in improving this project. The following is a set of guidelines for contributing to Zen Browser. These guidelines are intended to make it easier for you to get involved.

### Types of Contributions

We welcome a wide range of contributions, including but not limited to:

- **Bug Fixes**: Resolve existing issues in the code.
- **New Features**: Implement new features or enhance existing ones.
- **Documentation**: Improve the clarity and depth of documentation.
- **Code Refactoring**: Clean up the code to improve readability, performance, or maintainability.
- **UI/UX Enhancements**: Improve the user interface or user experience of Zen Browser.

### Getting Started

To help you get started with contributing, we have created separate guides for each repository:

- [[www | Getting Started with Zen's Homepage Development]]
- [[docs | Getting Started with Documentation Contributions]]
- [[translation | Getting Started with Translations]]

Please follow the appropriate guide based on the repository you want to contribute to.

### Reporting Bugs

If you find a bug, please open an issue and describe the problem in detail. Include steps to reproduce the bug, the expected behavior, and any relevant information about your environment. Please verify that the bug has not been reported already.

> [!important]
> Open the issue in it's corresponding GitHub repository:
>
> - [Desktop Browser App](https://github.com/zen-browser/desktop/issues)
> - [Zen's Custom Mods](https://github.com/zen-browser/theme-store)
> - [Zen's Homepage Website](https://github.com/zen-browser/www)
> - [This documentation Website](https://github.com/zen-browser/docs)

### Suggesting Features

![[discuss.png]]

We welcome suggestions for new features or improvements to existing ones. To suggest a feature, please start a new Github discussion in the Ideas category.
_Use the correct Github Repository based on the list above_

---

## Code of Conduct

Please note that this project is governed by a [Code of Conduct](CODE_OF_CONDUCT.md). By participating in this project, you agree to abide by its terms.

## License

By contributing to Zen Browser, you agree that your contributions will be licensed under the [MPL-2.0 License](https://github.com/zen-browser/desktop/blob/main/LICENSE).

---

Thank you for your interest in contributing to Zen Browser! We look forward to your contributions.
