---
title: Download Hub
draft: false
aliases:
  - Download Hub
lastmod: 2025-01-16
---

This [[guides/index|guide]] is designed to help you easily find and download the version of Zen Browser that best fits your operating system and hardware. Whether you're using Windows, Linux, or macOS - you'll find the build for you, along with portable and installer options to suit your needs.

> [!faq]- What happened to Generic and Optimized builds?
> ![[generic-optimized]]

# Stable

## Windows 🪟

- ### x86_64 💽

  - [Installer 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen.installer.exe)

- ### arm64 💻

  - [Installer 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen.installer-arm64.exe)

## Linux 🐧

- ### x86_64 💽
  - [AppImage 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen-x86_64.AppImage)
  - [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/latest/download/zen.linux-x86_64.tar.bz2)
- ### aarch64 💻

  - [AppImage 🚀](https://github.com/zen-browser/desktop/releases/latest/download/zen-aarch64.AppImage)
  - [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/latest/download/zen.linux-aarch64.tar.bz2)

- ### Package Managers

  - [Arch User Repository 📂 `AUR`](https://aur.archlinux.org/packages/zen-browser-bin)
  - [Pacstall `comunity`](https://pacstall.dev/packages/zen-browser-bin)
  - [Flatpak 🌐](https://flathub.org/apps/io.github.zen_browser.zen)
    ```bash
    flatpak install flathub app.zen_browser.zen
    ```

## MacOS 🍎

- ### aarch64 (M-series chips) 💻
  - [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/latest/download/zen.macos-aarch64.dmg)
- ### x86_64 (Intel chips) 💽

  - [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/latest/download/zen.macos-x86_64.dmg)

# Twilight

> [!caution] This is an automated daily build for testing purposes, so expect some bugs on this version.

## Windows 🪟

- ### x86_64 💽

  - [Installer 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen.installer.exe)
  - [Portable 📦 `zip`](https://github.com/zen-browser/desktop/releases/download/twilight/zen.win-x86_64.zip)

- ### arm64 💻

  - [Installer 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen.installer-arm64.exe)
  - [Portable 📦 `zip`](https://github.com/zen-browser/desktop/releases/download/twilight/zen.win-arm64.zip)

## Linux 🐧

- ### x86_64 💽
  - [AppImage 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen-x86_64.AppImage)
  - [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/download/twilight/zen.linux-x86_64.tar.bz2)
- ### aarch64 💻
  - [AppImage 🚀](https://github.com/zen-browser/desktop/releases/download/twilight/zen-aarch64.AppImage)
  - [Portable 📦 `tar.bz2`](https://github.com/zen-browser/desktop/releases/download/twilight/zen.linux-aarch64.tar.bz2)

## MacOS 🍎

- ### aarch64 (M-series chips) 💻
  - [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/download/twilight/zen.macos-aarch64.dmg)
- ### x86_64 (Intel chips) 💽

  - [DMG File 🗂️](https://github.com/zen-browser/desktop/releases/download/twilight/zen.macos-x86_64.dmg)
