---
title: Mods Registry Submission Guidelines 📋
lastmod: 2025-02-07
---

If you are a [mod developer] and would like to submit your mod, please follow these guidelines:

1. **Mod requirements**:

   - Your mod must be compatible with Zen Browser.
   - Your mod must be open-source.
   - Your mod must not contain any malicious code.
   - Your mod must not violate any copyright laws.

2. **Mod Validation**:

   - Your mod's name must be unique and less than `25` characters.
   - Your mod's description must be less than `100` characters.
   - Your mod's screenshot must be a `PNG` with a size of `600x400` (it can be resized after upload).
   - Your mod must contain a valid `README` describing the mod and how to use it.
   - If your mod has any preferences values, they must be set in the `preferences` text area as a `JSON` object.
     - See how preferences work [here](themes-store/themes-marketplace-preferences.md).

3. **Mod Submission**:

   - To submit your mod, please create an issue [here](https://github.com/zen-browser/theme-store/issues/new?assignees=&labels=new-theme&projects=&template=create-theme.yml&title=%5Bcreate-theme%5D%3A+)
   - Fill out the template with the required information.
   - Once you have submitted your mod, it will be analyzed by a bot and a pull request will be created.
   - If your mod is approved, it will be added to the Mods Registry.

4. **Mod Update**:
   - If you would like to update your mod, please create an issue [here](https://github.com/zen-browser/theme-store/issues/new)
   - Please explain the changes you have made.

> [!info]
> Mods are automatically updated and generated by the bot. If your mod is not approved, you will receive a message with the reason why it was not approved.
